from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XCommandEnvironment(XInterface, Protocol):
    def getInteractionHandler(self) -> XInteractionHandler: ...
    def getProgressHandler(self) -> XProgressHandler: ...
